curl --request GET \
--url https://api.benzinga.com/api/v2/newsquantified \
--header 'Authorization: <api-key>'import requests
url = "https://api.benzinga.com/api/v2/newsquantified"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.benzinga.com/api/v2/newsquantified', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "6594172d58a64d26a154c976",
"Date": "1/1/2024",
"ResourceID": "36444586",
"Provider": "Benzinga",
"PID": "BZ",
"RECt": "2024-01-01 17:35:14.000",
"PUBt": "2024-01-01 17:35:14.000",
"Ex": "NQ",
"Symb": "AAPL",
"Headlines": "10 Information Technology Stocks With Whale Alerts In Today's Session",
"Result%": "-3.48789826286845",
"Prev_Vol": "41515791",
"Curr_Vol": "56363111",
"Mov_Vol": "43362915",
"Vol_Ratio": "1.299799863547",
"Open_Vol": "1345683",
"Close_Vol": "100",
"AllTicks": "301347",
"ATR14": "2.46036726075361",
"prevDay%": "-0.660440637737991",
"PrevClose": "192.53",
"DayOpen": "192.54",
"OpenGap%": "0.00519399574091877",
"SPYLast": "475.07",
"TONHigh": "202.414127",
"TONLow": "189.785",
"TONLast": "192.1501",
"EODHigh": "193.955",
"EODLow": "183.885",
"EODClose": "185.4481",
"SPYclose": "472.4",
"PostVWAP": "192.514439559335",
"PreVWAP": "189.751854093609",
"MainVWAP": "185.886257541545",
"AllVWAP": "186.292874726423",
"EODVWAP": "186.053962602001",
"MaxUpAmt": "1.8049",
"maxUp%": "0.939317752111502",
"MaxDnAmt": "8.26510000000002",
"maxDown%": "4.30137689233574",
"RangeAmt": "18.529127",
"Range%": "0.100764755145879",
"LS": "-1",
"Result_Vs_Index%": "-2.92587582406996",
"30_Seconds%": "",
"1_Minute%": "",
"5_Minutes%": "",
"10_Minutes%": "",
"30_Minutes%": "",
"60_Minutes%": "",
"90_Minutes%": "",
"120_Minutes%": "",
"L1": "",
"L2": "",
"L3": "",
"L4": "",
"L5": "",
"L75": "",
"L10": "",
"L20": "",
"S1": "925",
"S2": "1165",
"S3": "1255",
"S4": "1546",
"S5": "",
"S75": "",
"S10": "",
"S20": "",
"P1": "925",
"P2": "1165",
"P3": "1255",
"P4": "1546",
"P5": "",
"P75": "",
"P10": "",
"P20": "",
"MktCap(1000)": "",
"PERatio": "31.4078",
"DividendYield%": "",
"ShortInterest%": "",
"ReportSess": "All",
"NewsSess": "Pre",
"Comments": "",
"HighExcStdDev": "0.626543923068907",
"LowExcStdDev": "2.86910531251417",
"VolumeStdDev": "0.587270404292294",
"RangeStdDev": "0.823486198879295",
"ATR_Ratio": "7.53104111551401",
"AnalystAction": "",
"AnalystActionFrom": "",
"AnalystActionTo": "",
"AnalystFirm": "",
"EPSActual": "",
"EPSAction": "",
"Topics": "Options",
"created": 1704238550
}
]
Newsquantified Data
Retrieves quantified news analytics data with sentiment scores, relevance metrics, and market impact indicators. Returns structured data analyzing the quantitative aspects of news coverage including sentiment polarity, article counts, trending scores, and ticker-specific metrics. Use this endpoint to access machine-readable news analytics for algorithmic trading and quantitative research.
[
{
"_id": "6594172d58a64d26a154c976",
"Date": "1/1/2024",
"ResourceID": "36444586",
"Provider": "Benzinga",
"PID": "BZ",
"RECt": "2024-01-01 17:35:14.000",
"PUBt": "2024-01-01 17:35:14.000",
"Ex": "NQ",
"Symb": "AAPL",
"Headlines": "10 Information Technology Stocks With Whale Alerts In Today's Session",
"Result%": "-3.48789826286845",
"Prev_Vol": "41515791",
"Curr_Vol": "56363111",
"Mov_Vol": "43362915",
"Vol_Ratio": "1.299799863547",
"Open_Vol": "1345683",
"Close_Vol": "100",
"AllTicks": "301347",
"ATR14": "2.46036726075361",
"prevDay%": "-0.660440637737991",
"PrevClose": "192.53",
"DayOpen": "192.54",
"OpenGap%": "0.00519399574091877",
"SPYLast": "475.07",
"TONHigh": "202.414127",
"TONLow": "189.785",
"TONLast": "192.1501",
"EODHigh": "193.955",
"EODLow": "183.885",
"EODClose": "185.4481",
"SPYclose": "472.4",
"PostVWAP": "192.514439559335",
"PreVWAP": "189.751854093609",
"MainVWAP": "185.886257541545",
"AllVWAP": "186.292874726423",
"EODVWAP": "186.053962602001",
"MaxUpAmt": "1.8049",
"maxUp%": "0.939317752111502",
"MaxDnAmt": "8.26510000000002",
"maxDown%": "4.30137689233574",
"RangeAmt": "18.529127",
"Range%": "0.100764755145879",
"LS": "-1",
"Result_Vs_Index%": "-2.92587582406996",
"30_Seconds%": "",
"1_Minute%": "",
"5_Minutes%": "",
"10_Minutes%": "",
"30_Minutes%": "",
"60_Minutes%": "",
"90_Minutes%": "",
"120_Minutes%": "",
"L1": "",
"L2": "",
"L3": "",
"L4": "",
"L5": "",
"L75": "",
"L10": "",
"L20": "",
"S1": "925",
"S2": "1165",
"S3": "1255",
"S4": "1546",
"S5": "",
"S75": "",
"S10": "",
"S20": "",
"P1": "925",
"P2": "1165",
"P3": "1255",
"P4": "1546",
"P5": "",
"P75": "",
"P10": "",
"P20": "",
"MktCap(1000)": "",
"PERatio": "31.4078",
"DividendYield%": "",
"ShortInterest%": "",
"ReportSess": "All",
"NewsSess": "Pre",
"Comments": "",
"HighExcStdDev": "0.626543923068907",
"LowExcStdDev": "2.86910531251417",
"VolumeStdDev": "0.587270404292294",
"RangeStdDev": "0.823486198879295",
"ATR_Ratio": "7.53104111551401",
"AnalystAction": "",
"AnalystActionFrom": "",
"AnalystActionTo": "",
"AnalystFirm": "",
"EPSActual": "",
"EPSAction": "",
"Topics": "Options",
"created": 1704238550
}
]
Authorizations
Query Parameters
Page number for pagination. Zero-indexed (0 = first page, 1 = second page, etc.). Default: 0
Number of results per page. Default: 1000. Maximum: 1000. Returns most recent data first.
Unix timestamp in seconds (UTC). Returns newsquantified data updated after this timestamp. Use for incremental updates.
Comma-separated list of stock ticker symbols to filter results (e.g., AAPL,MSFT,TSLA). Returns analytics for specified securities only.
Single date in YYYY-MM-DD format (e.g., 2024-12-30). Shorthand for filtering when date_from and date_to are the same. Returns data for this specific date.
Start date in YYYY-MM-DD format (e.g., 2024-01-01). Returns data from this date forward. Use with date_to for date range queries.
End date in YYYY-MM-DD format (e.g., 2024-12-31). Returns data up to and including this date. Use with date_from for date range queries.
Response
Array of quantified news analytics with sentiment scores and metrics
"507f1f77bcf86cd799439011"
"0.2"
"0.5"
"0.8"
"1.2"
"0.1"
"1.5"
"1.8"
"2.0"
"1.1"
"2.5"
"1000"
"153.00"
"Upgrade"
"Hold"
"Buy"
"Goldman Sachs"
"45000"
"Positive earnings surprise"
"1600000"
"2024-01-09"
"152.00"
"1.5"
"156.00"
"158.00"
"151.00"
"155.00"
"Beat"
"1.50"
"NASDAQ"
"Apple Announces New Product Launch"
"2.1"
"150.00"
"151.00"
"152.00"
"153.00"
"154.00"
"156.00"
"157.00"
"155.00"
"L"
"1.8"
"153.50"
"2.00"
"5.00"
"2000000"
"5.2"
"Pre-Market"
"50000"
"0.5"
"150.50"
"151.50"
"152.50"
"153.50"
"154.50"
"156.50"
"157.50"
"155.50"
"25.5"
"BZ-12345"
"2024-01-09T10:00:00Z"
"154.00"
"151.00"
"1500000"
"150.00"
"Benzinga"
"2024-01-09T10:30:00Z"
"4.5"
"7.00"
"1.2"
"Q3"
"12345678"
"2.45"
"1.5"
"149.00"
"148.00"
"147.00"
"146.00"
"145.00"
"143.00"
"142.00"
"144.00"
"420.50"
"422.00"
"5.2"
"AAPL"
"155.00"
"153.00"
"149.00"
"Earnings, Tech"
"1.1"
"3.5"
1704819600
"1.5"
"3.2"
"1.2"
Was this page helpful?